package com.diagbot.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 联合项目开单合理性图谱数据
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class CombiOpBillNeoDTO {
    // 禁忌性别
    private NodeNeoDTO gender;

    // 年龄
    private NodeNeoDTO ageNeoDTO;

    // 临床表现
    private List<NodeNeoDTO> clinicfindings = new ArrayList<>();

    // 体征
    private List<NodeNeoDTO> vitals = new ArrayList<>();

    // 服用药品
    private List<NodeNeoDTO> oralmeds = new ArrayList<>();

    // 禁忌药品过敏源
    private List<NodeNeoDTO> medallergens = new ArrayList<>();

    // 禁忌实验室检查
    private List<NodeNeoDTO> lis = new ArrayList<>();

    // 禁忌辅助检查
    private List<NodeNeoDTO> pacs = new ArrayList<>();

    // 禁忌疾病
    private List<NodeNeoDTO> disease = new ArrayList<>();

    // 禁用人群
    private List<NodeNeoDTO> group = new ArrayList<>();

    // 禁用辅助检查描述
    private List<NodeNeoDTO> pacsDesc = new ArrayList<>();

}
