package com.diagbot.dto;

import com.diagbot.biz.push.entity.Item;
import com.diagbot.biz.push.entity.Lis;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @description: 其他提醒数据——输注
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class OtherTipTransfusionNeoDTO {

    // 输血名称
    private String name;

    // 化验
    private List<Lis> lisList = new ArrayList<>();

    // 辅检
    private List<Item> pacs = new ArrayList<>();

    // 辅检结果
    private List<Item> pacsRes = new ArrayList<>();

    // 手术及操作
    private List<Item> operation = new ArrayList<>();

    // 诊断
    private List<Item> diag = new ArrayList<>();

}
