package com.diagbot.dto;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @description: 药方开单合理性项目
 * @author: Mark
 * @time: 2020/7/29 9:57
 */
@Data
public class PresBillDTO {
    // 禁忌性别
    private String gender;

    // 年龄最小值
    private int minage;

    // 年龄最大值
    private int maxage;

    // 临床表现
    private List<String> clinicfindings;

    // 禁忌手术
    private List<String> operations;

    // 禁忌操作
    private List<String> procedures;

    // 禁忌辅助检查
    private List<String> PACS;

    // 禁忌疾病
    private List<String> disease;

    // 禁用人群
    private List<String> group;

    // 配伍禁忌
    private List<String> meds;
}
