package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 15:45
 */
@Getter
@Setter
public class RetrievalDTO {
    /**
     * 化验大项
     */
    private List<String> lisNames;
    /**
     * 化验小项
     */
    private List<LisDetailDTO> lisDetailNames;
    /**
     * 辅检
     */
    private List<String> pacsNames;
    /**
     * 诊断
     */
    private List<DiseaseInfoDTO> diseaseNames;
    /**
     * 药品
     */
    private List<DrugInfoDTO> drugNames;
    /**
     * 手术或操作
     */
    private List<OperationInfoDTO> operationNames;
    /**
     * 科室
     */
    private List<String> deptNames;
    /**
     * 输血
     */
    private List<String> transfusionNames;
    /**
     * 症状
     */
    private List<String> symptomNames;
    /**
     * 体征
     */
    private List<String> vitalNames;
}