package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.*;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "性别")
public class Gender extends BaseNode  {


	@Relationship(type = "辅助检查名称禁忌性别", direction = Relationship.INCOMING)
	private Set<PacsNameGender> pacsNameGenders = new HashSet<>();

	@Relationship(type = "实验室检查套餐名禁忌性别", direction = Relationship.INCOMING)
	private Set<LisSetGender> lissetGenders = new HashSet<>();

	@Relationship(type = "医保手术和操作名称禁忌性别", direction = Relationship.INCOMING)
	private Set<YiBaoOperationNameGender> yibaooperationnameGenders = new HashSet<>();

	@Relationship(type = "辅助检查名称子项目名称禁忌性别", direction = Relationship.INCOMING)
	private Set<PacsNameSubNameGender> pacsnamesubnameGenders = new HashSet<>();

	@Relationship(type = "联合项目禁忌性别", direction = Relationship.INCOMING)
	private Set<CombiOperationGender> combioperationGenders = new HashSet<>();

	@Relationship(type = "实验室检查名称禁忌性别", direction = Relationship.INCOMING)
	private Set<LisNameGender> lisnameGenders = new HashSet<>();

}