package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.MedCodeNameMedProdName;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "药品商品名称")
public class MedProdName extends BaseNode  {


	@Relationship(type = "药品相关药品商品名称", direction = Relationship.INCOMING)
	private Set<MedCodeNameMedProdName> medcodenameMedProdNames = new HashSet<>();

}