package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;


@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "辅助检查危急值")
public class PacsCritical extends BaseNode  {

    @Property(name = "规则")
    private String val;

    @Property(name = "辅助检查名称")
    private String pacsname;

    @Property(name = "危急值提醒")
    private String remind;

    @Property(name = "科室名称")
    private String dept;

}


