package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.CombiOperationPacsDescribe;
import com.diagbot.entity.relationship.PacsNamePacsDescribe;
import com.diagbot.entity.relationship.YiBaoOperationNamePacsDescribe;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "辅助检查名称描述")
public class PacsDescribe extends BaseNode  {


	@Relationship(type = "医保手术和操作名称禁忌辅助检查名称描述", direction = Relationship.INCOMING)
	private Set<YiBaoOperationNamePacsDescribe> yibaooperationnamePacsDescribes = new HashSet<>();

	@Relationship(type = "联合项目禁忌辅助检查名称描述", direction = Relationship.INCOMING)
	private Set<CombiOperationPacsDescribe> combioperationPacsDescribes = new HashSet<>();

	@Relationship(type = "辅助检查名称禁忌辅助检查名称描述", direction = Relationship.INCOMING)
	private Set<PacsNamePacsDescribe> pacsNamePacsDescribes = new HashSet<>();

}