package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.YiBaoDiseaseNamePathwayName;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "临床路径名称")
public class PathwayName extends BaseNode  {


	@Relationship(type = "医保疾病名称相关临床路径名称", direction = Relationship.INCOMING)
	private Set<YiBaoDiseaseNamePathwayName> yiBaoDiseaseNamePathwayNames = new HashSet<>();

}