package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "输血提醒指标")
public class TransfusionRemind extends BaseNode  {

	@Property(name = "单位")
	private String unit;

	@Property(name = "最小值")
	private Double minval;

	@Property(name = "最大值")
	private Double maxval;

	@Property(name = "范围")
	private Integer range=0;

	@Property(name = "指标标签")
	private String node_label;

	@Property(name = "指标名称")
	private String index_name;

	@Property(name = "输注类型")
    private String transfusion_type;

}