package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.YiBaoOperationNameYiBaoICD_9_CM3Code;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "医保ICD_9_CM3代码")
public class YiBaoICD_9_CM3Code extends BaseNode  {


	@Relationship(type = "医保手术和操作名称相关医保ICD-9-CM3代码", direction = Relationship.INCOMING)
	private Set<YiBaoOperationNameYiBaoICD_9_CM3Code> yibaooperationnameYiBaoICD_9_CM3Codes = new HashSet<>();

}