package com.diagbot.entity.relationship;

import com.diagbot.entity.node.CombiOperation;
import com.diagbot.entity.node.Disease;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "联合项目禁忌疾病")
public class CombiOperationDisease extends BaseRelation {
    @StartNode
    private CombiOperation combiOperation;

    @EndNode
    private Disease disease;
}