package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Group;
import com.diagbot.entity.node.LisRemind;
import com.diagbot.entity.node.Medicine;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter@RelationshipEntity(type = "化验提醒指标相关禁忌人群")
public class LisRemindGroup extends BaseRelation {
    @StartNode
    private LisRemind lisRemind;

    @EndNode
    private Group group;
}