package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Medicine;
import com.diagbot.entity.node.MedAllergen;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "药品通用名称禁忌药物过敏原")
public class MedicineMedAllergen extends BaseRelation {
    @StartNode
    private Medicine medicine;

    @EndNode
    private MedAllergen medAllergen;
}