package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Medicine;
import com.diagbot.entity.node.Vital;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "药品通用名称禁忌体征")
public class MedicineVital extends BaseRelation {
    @StartNode
    private Medicine medicine;

    @EndNode
    private Vital vital;
}