package com.diagbot.entity.relationship;

import com.diagbot.entity.node.PacsName;
import com.diagbot.entity.node.Allergen;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "辅助检查名称禁忌过敏原")
public class PacsNameAllergen extends BaseRelation {
    @StartNode
    private PacsName pacsName;

    @EndNode
    private Allergen allergen;
}