package com.diagbot.entity.relationship;

import com.diagbot.entity.node.PacsName;
import com.diagbot.entity.node.ClinicalFinding;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "辅助检查名称禁忌临床表现")
public class PacsNameClinicalFinding extends BaseRelation {
    @StartNode
    private PacsName pacsName;

    @EndNode
    private ClinicalFinding clinicalFinding;
}