package com.diagbot.entity.relationship;

import com.diagbot.entity.node.PacsName;
import com.diagbot.entity.node.OralMedicine;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "辅助检查名称禁忌服用药品")
public class PacsNameOralMedicine extends BaseRelation {
    @StartNode
    private PacsName pacsName;

    @EndNode
    private OralMedicine oralMedicine;
}