package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Allergen;
import com.diagbot.entity.node.PacsSubName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "辅助检查子项目名称禁忌过敏原")
public class PacsSubNameAllergen extends BaseRelation {
    @StartNode
    private PacsSubName pacsSubName;

    @EndNode
    private Allergen allergen;
}