package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Vital;
import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "体征相关医保疾病名称")
public class VitalYiBaoDiseaseName extends BaseRelation {
    @StartNode
    private Vital vital;

    @EndNode
    private YiBaoDiseaseName yiBaoDiseaseName;
}