package com.diagbot.entity.relationship;

import com.diagbot.entity.node.GuoLinICD_10Code;
import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

@Getter
@Setter@RelationshipEntity(type = "医保疾病名称相关国临ICD-10代码")
public class YiBaoDiseaseNameGuoLinICD_10Code extends BaseRelation {
    @StartNode
    private YiBaoDiseaseName yiBaoDiseaseName;

    @EndNode
    private GuoLinICD_10Code guoLinICD_10Code;
}