package com.diagbot.entity.relationship;

import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.node.PathwayName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "医保疾病名称相关临床路径名称")
public class YiBaoDiseaseNamePathwayName extends BaseRelation {
    @StartNode
    private YiBaoDiseaseName yiBaoDiseaseName;

    @EndNode
    private PathwayName pathwayName;
}