package com.diagbot.entity.relationship;

import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.node.Symptom;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

//@Deprecated
@Getter
@Setter@RelationshipEntity(type = "医保疾病名称相关症状")
public class YiBaoDiseaseNameSymptom extends BaseRelation {
    @StartNode
    private YiBaoDiseaseName yiBaoDiseaseName;

    // 症状与疾病相关性 0:非典型, 1:典型
    @Property(name = "典型")
    private Integer type;

    @EndNode
    private Symptom symptom;
}