package com.diagbot.entity.relationship;

import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.node.YiBaoICD_10Code;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "医保疾病名称相关医保ICD-10代码")
public class YiBaoDiseaseNameYiBaoICD_10Code extends BaseRelation {
    @StartNode
    private YiBaoDiseaseName yiBaoDiseaseName;

    @EndNode
    private YiBaoICD_10Code yiBaoICD_10Code;
}