package com.diagbot.repository;

import com.diagbot.entity.node.CombiOperation;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface CombiOperationRepository extends Neo4jRepository<CombiOperation, Long> {

    List<CombiOperation> findByNameContaining(String name);

    List<CombiOperation> findByNameIs(String name);
}

