package com.diagbot.repository;

import com.diagbot.entity.node.LisAlias;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface LisAliasRepository extends Neo4jRepository<LisAlias, Long> {

    List<LisAlias> findByNameIs(String name);

    List<LisAlias> findByNameContaining(String name);

    List<LisAlias> findByNameIn(List<String> names);

}