package com.diagbot.repository;

import com.diagbot.entity.node.LisCritical;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface LisCriticalRepository extends Neo4jRepository<LisCritical, Long> {

    List<LisCritical> findByNameIs(String name);

    List<LisCritical> findByNameContaining(String name);

    List<LisCritical> findByNameIn(List<String> names);

}