package com.diagbot.repository;

import com.diagbot.entity.node.LisSecondClass;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface LisSecondClassRepository extends Neo4jRepository<LisSecondClass, Long> {

    List<LisSecondClass> findByNameIs(String name);

    List<LisSecondClass> findByNameContaining(String name);

    List<LisSecondClass> findByNameIn(List<String> names);

    Page<LisSecondClass> findByNameContainingIgnoreCaseOrPycodeContainingIgnoreCase(String name, String pycode, Pageable pageable);

}

