package com.diagbot.vo;

import com.diagbot.biz.push.entity.Lis;
import com.diagbot.model.label.PacsLabel;
import com.diagbot.model.label.VitalLabel;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class CriticalNeoVO {

    // 年龄
    private Double age;

    // 性别（1：男，2：女）
    private Integer sex;

    // 体征
    private VitalLabel vitalLabel = new VitalLabel();

    // 化验项目和结果
    private List<Lis> lis = new ArrayList<>();

    // 辅检结果
    private PacsLabel pacsLabel = new PacsLabel();

}
