package com.diagbot.client;


import com.diagbot.vo.ChiefPresentSimilarityVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


/**
 * @Description: 调用主诉现病史症状相似度服务
 * @author: 胡敬
 * @time: 2020/06/01 15:41
 */
@FeignClient(value = "ChiefPresentSimilarity-service", url="${ChiefPresentSimilarity.url}")
public interface ChiefPresentSimilarityServiceClient {

    @PostMapping(value = "/api/mr_info_ex/chief_present_similarity")
    String getAnnotation(@RequestBody ChiefPresentSimilarityVo chiefPresentSimilarityVo);
}



