package com.diagbot.client.hystrix;

import com.diagbot.client.ChiefPresentSimilarityServiceClient;
import com.diagbot.vo.ChiefPresentSimilarityVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class ChiefPresentSimilarityServiceHystrix implements ChiefPresentSimilarityServiceClient {

    @Override
    public String getAnnotation(ChiefPresentSimilarityVo chiefPresentSimilarityVo) {
        log.error("【hystrix】调用{}异常", "Similarity-getAnnotation");
        return null;
    }
}
