package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.PacsNameAllergen;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "过敏原")
public class Allergen extends BaseNode  {


	@Relationship(type = "辅助检查名称禁忌过敏原", direction = Relationship.INCOMING)
	private Set<PacsNameAllergen> pacsNameAllergens = new HashSet<>();

}