package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.PacsNameConflictDevice;
import com.diagbot.entity.relationship.YiBaoOperationNameConflictDevice;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "禁忌医疗器械及物品")
public class ConflictDevice extends BaseNode  {


	@Relationship(type = "辅助检查名称禁忌禁忌医疗器械及物品", direction = Relationship.INCOMING)
	private Set<PacsNameConflictDevice> pacsConflictDevices = new HashSet<>();

	@Relationship(type = "医保手术和操作名称禁忌禁忌医疗器械及物品", direction = Relationship.INCOMING)
	private Set<YiBaoOperationNameConflictDevice> yiBaoOperationNameConflictDevices = new HashSet<>();

}