package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.YiBaoDiseaseNameDept;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "科室")
public class Dept extends BaseNode  {


	@Relationship(type = "医保疾病名称相关科室", direction = Relationship.INCOMING)
	private Set<YiBaoDiseaseNameDept> diseaseDept = new HashSet<>();

}