package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.*;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "禁忌人群")
public class Group extends BaseNode  {


	@Relationship(type = "实验室检查名称禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<LisNameGroup> lisnameGroups = new HashSet<>();

	@Relationship(type = "医保手术和操作名称禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<YiBaoOperationNameGroup> yibaooperationnameGroups = new HashSet<>();

	@Relationship(type = "辅助检查名称禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<PacsNameGroup> pacsNameGroups = new HashSet<>();

	@Relationship(type = "联合项目禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<CombiOperationGroup> combioperationGroups = new HashSet<>();

	@Relationship(type = "辅助检查名称子项目名称禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<PacsNameSubNameGroup> pacsnamesubnameGroups = new HashSet<>();

	@Relationship(type = "辅助检查子项目名称禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<PacsSubNameGroup> pacssubnameGroups = new HashSet<>();

	@Relationship(type = "药品通用名称禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<MedicineGroup> medicineGroups = new HashSet<>();

	@Relationship(type = "药品注册名称禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<MedRegNameGroup> medRegNameGroups = new HashSet<>();

	@Relationship(type = "实验室检查套餐名禁忌禁忌人群", direction = Relationship.INCOMING)
	private Set<LisSetGroup> lisSetGroups = new HashSet<>();

	@Relationship(type = "化验提醒指标相关禁忌人群", direction = Relationship.INCOMING)
	private Set<LisRemindGroup> lisRemindgroup = new HashSet<>();

}