package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.MedCodeNameHerbDeptClass;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "中成药科室类别")
public class HerbDeptClass extends BaseNode  {


	@Relationship(type = "药品相关中成药科室类别", direction = Relationship.INCOMING)
	private Set<MedCodeNameHerbDeptClass> medcodenameHerbDeptClass = new HashSet<>();

}