package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.LisNameLisCode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "实验室检查代码")
public class LisCode extends BaseNode  {


	@Relationship(type = "实验室检查名称相关实验室检查代码", direction = Relationship.INCOMING)
	private Set<LisNameLisCode> lisnameLisCodes = new HashSet<>();

}