package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.PacsNameSubNameDisease;
import com.diagbot.entity.relationship.PacsNameSubNameGender;
import com.diagbot.entity.relationship.PacsNameSubNameGroup;
import com.diagbot.entity.relationship.PacsNameSubNameMedAllergen;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "辅助检查名称子项目名称")
@Deprecated
public class PacsNameSubName extends BaseNode  {


	@Relationship(type = "辅助检查名称子项目名称禁忌性别", direction = Relationship.OUTGOING)
	private PacsNameSubNameGender pacsNameSubNameGender;

	@Relationship(type = "辅助检查名称子项目名称禁忌疾病", direction = Relationship.OUTGOING)
	private Set<PacsNameSubNameDisease> pacsNameSubNameDiseases = new HashSet<>();

	@Relationship(type = "辅助检查名称子项目名称禁忌药物过敏原", direction = Relationship.OUTGOING)
	private Set<PacsNameSubNameMedAllergen> pacsNameSubNameMedallergens = new HashSet<>();

	@Relationship(type = "辅助检查名称子项目名称禁忌禁忌人群", direction = Relationship.OUTGOING)
	private Set<PacsNameSubNameGroup> pacsNameSubNameGroups = new HashSet<>();

}