package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.PacsResultYiBaoDiseaseName;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.HashSet;
import java.util.Set;

@Setter
@Getter
@NodeEntity(label = "辅助检查名称结果")
public class PacsResult extends BaseNode  {


	@Relationship(type = "辅助检查名称结果相关医保疾病名称", direction = Relationship.OUTGOING)
	private Set<PacsResultYiBaoDiseaseName> PacsResultDisease = new HashSet<>();


}