package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.MedCodeNameRegName;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "注册名称")
public class RegName extends BaseNode  {


	@Relationship(type = "药品相关注册名称", direction = Relationship.INCOMING)
	private Set<MedCodeNameRegName> medcodenameRegNames = new HashSet<>();

}