package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.YiBaoDiseaseNameYiBaoICD_10Code;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Property;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "医保ICD_10代码")
public class YiBaoICD_10Code extends BaseNode  {


	@Relationship(type = "医保疾病名称相关医保ICD-10代码", direction = Relationship.INCOMING)
	private Set<YiBaoDiseaseNameYiBaoICD_10Code> yibaodiseasenameYiBaoICD_10Codes = new HashSet<>();

}