package com.diagbot.entity.node;

import com.diagbot.entity.node.base.BaseNode;
import com.diagbot.entity.relationship.YiBaoOperationNameLis;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.util.Set;
import java.util.HashSet;

@Setter
@Getter
@NodeEntity(label = "医保手术和操作")
public class YiBaoOperation extends BaseNode  {


	@Relationship(type = "医保手术和操作禁忌实验室检查", direction = Relationship.OUTGOING)
	private Set<YiBaoOperationNameLis> yiBaoOperationLiss = new HashSet<>();

}