package com.diagbot.entity.relationship;

import com.diagbot.entity.node.LisRemind;
import com.diagbot.entity.node.Medicine;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "化验提醒指标相关药品通用名称")
public class LisRemindMedicine extends BaseRelation {
    @StartNode
    private LisRemind lisRemind;

    @EndNode
    private Medicine medicine;
}