package com.diagbot.entity.relationship;

import com.diagbot.entity.node.MedCodeName;
import com.diagbot.entity.node.HerbDeptClass;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "药品相关中成药科室类别")
public class MedCodeNameHerbDeptClass extends BaseRelation {
    @StartNode
    private MedCodeName medCodeName;

    @EndNode
    private HerbDeptClass herbDeptClass;
}