package com.diagbot.entity.relationship;

import com.diagbot.entity.node.MedCodeName;
import com.diagbot.entity.node.HerbZhiLiaoClass;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "药品相关中成药治疗学类别")
public class MedCodeNameHerbZhiLiaoClass extends BaseRelation {
    @StartNode
    private MedCodeName medCodeName;

    @EndNode
    private HerbZhiLiaoClass herbZhiLiaoClass;
}