package com.diagbot.entity.relationship;

import com.diagbot.entity.node.MedCodeName;
import com.diagbot.entity.node.MedClass;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "药品相关药品类别")
public class MedCodeNameMedClass extends BaseRelation {
    @StartNode
    private MedCodeName medCodeName;

    @EndNode
    private MedClass medClass;
}