package com.diagbot.entity.relationship;

import com.diagbot.entity.node.MedCodeName;
import com.diagbot.entity.node.Medicine;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "药品相关药品通用名称")
public class MedCodeNameMedicine extends BaseRelation {
    @StartNode
    private MedCodeName medCodeName;

    @EndNode
    private Medicine medicine;
}