package com.diagbot.entity.relationship;

import com.diagbot.entity.node.MedRegName;
import com.diagbot.entity.node.Age;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "药品注册名称禁忌体征")
public class MedRegNameAge extends BaseRelation {
    @StartNode
    private MedRegName medRegName;

    @EndNode
    private Age age;
}