package com.diagbot.entity.relationship;

import com.diagbot.entity.node.PacsResult;
import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "辅助检查名称结果相关医保疾病名称")
public class PacsResultYiBaoDiseaseName extends BaseRelation {
    @StartNode
    private PacsResult pacsResult;

    @EndNode
    private YiBaoDiseaseName yiBaoDiseaseName;
}