package com.diagbot.entity.relationship;

import com.diagbot.entity.node.YiBaoDiseaseName;
import com.diagbot.entity.node.Dept;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "医保疾病名称相关科室")
public class YiBaoDiseaseNameDept extends BaseRelation {
    @StartNode
    private YiBaoDiseaseName yiBaoDiseaseName;

    @EndNode
    private Dept dept;
}