package com.diagbot.entity.relationship;

import com.diagbot.entity.node.YiBaoOperationName;
import com.diagbot.entity.node.ClinicalFinding;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "医保手术和操作名称禁忌临床表现")
public class YiBaoOperationNameClinicalFinding extends BaseRelation {
    @StartNode
    private YiBaoOperationName yiBaoOperationName;

    @EndNode
    private ClinicalFinding clinicalFinding;
}