package com.diagbot.entity.relationship;

import com.diagbot.entity.node.YiBaoOperationName;
import com.diagbot.entity.node.Disease;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "医保手术和操作名称禁忌疾病")
public class YiBaoOperationNameDisease extends BaseRelation {
    @StartNode
    private YiBaoOperationName yiBaoOperationName;

    @EndNode
    private Disease disease;
}