package com.diagbot.entity.relationship;

import com.diagbot.entity.node.YiBaoOperationName;
import com.diagbot.entity.node.GuoLinICD_9_CM3Code;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.*;

@Getter
@Setter@RelationshipEntity(type = "医保手术和操作名称相关国临ICD-9-CM3代码")
public class YiBaoOperationNameGuoLinICD_9_CM3Code extends BaseRelation {
    @StartNode
    private YiBaoOperationName yiBaoOperationName;

    @EndNode
    private GuoLinICD_9_CM3Code guoLinICD_9_CM3Code;
}