package com.diagbot.repository;

import com.diagbot.entity.node.Allergen;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface AllergenRepository extends Neo4jRepository<Allergen, Long> {

    List<Allergen> findByNameIs(String name);

    List<Allergen> findByNameIn(List<String> names);

    List<Allergen> findByNameContaining(String name);

}

