package com.diagbot.repository;

//import com.diagbot.entity.node.base.BaseNode;
//import com.diagbot.entity.relationship.*;

//import org.springframework.data.neo4j.annotation.Query;
//import org.springframework.data.neo4j.repository.Neo4jRepository;
//import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

/*
public interface BaseRelationRepository extends Neo4jRepository<BaseNode, Long> {

    /*
    @Query("MATCH (d:疾病{name:{disease}}), (i:编码{name:{icd}}) " +
           "MERGE (d)-[r:疾病相关编码]->(i) RETURN r")
    Disease_ICD DiseasetoICD(@Param("disease") String disease, @Param("icd") String icd, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (i:ICD10编码{name:{icd}}) " +
           "MERGE (d)-[r:疾病相关ICD10编码]->(i) RETURN r")
    Disease_ICD10 DiseasetoICD10(@Param("disease") String disease, @Param("icd") String icd10, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (s:症状{name:{symp}}) " +
            "MERGE (d)-[r:疾病相关症状]->(s) RETURN r")
    Disease_Symptom DiseasetoSymptom(@Param("disease") String disease, @Param("symp") String symptom, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (v:体征{name:{vital}}) " +
            "MERGE (d)-[r:疾病相关体征]->(v) RETURN r")
    Disease_Vital DiseasetoVital(@Param("disease") String disease, @Param("vital") String vital, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (v:科室{name:{ward}}) " +
            "MERGE (d)-[r:疾病相关科室]->(v) SET r.rank = {rank} RETURN r")
    Disease_Ward DiseasetoWard(@Param("disease") String disease, @Param("ward") String ward, @Param("rank") String rank);

    @Query("MATCH (d:疾病{name:{disease}}), (v:科室{name:{ward}}) " +
            "MERGE (d)-[r:疾病相关标准科室]->(v) RETURN r")
    Disease_StdWard DiseasetoStdWard(@Param("disease") String disease, @Param("ward") String ward, @Param("rank") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (dif:疾病{name:{diff}}) " +
            "MERGE (d)-[r:鉴别诊断]->(dif) RETURN r")
    Disease_Disease DiseasetoDisease(@Param("disease") String disease, @Param("diff") String diff, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (g:性别{name:{gender}}) " +
            "MERGE (d)-[r:疾病相关性别]->(g) RETURN r")
    Disease_Gender DiseasetoGender(@Param("disease") String disease, @Param("gender") String gender, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (a:疾病别名{name:{alias}}) " +
            "MERGE (d)-[r:疾病相关别名]->(a) RETURN r")
    Disease_DiseaseAlias DiseasetoDiseaseAlias(@Param("disease") String disease, @Param("alias") String alias, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}) " +
            "MATCH (inc:发病率{name:{inc}}) " +
            "MERGE (d)-[r:发病情况]->(inc) RETURN r")
    Disease_Incidence DiseasetoIncidence(@Param("disease") String disease, @Param("inc") String incidence, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (a:多发人群{name:{group}}) " +
            "MERGE (d)-[r:疾病相关多发人群]->(a) RETURN r")
    Disease_InfectiousGroup DiseasetoInfectiousGroup(@Param("disease") String disease, @Param("group") String group, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (rt:传染途径{name:{route}}) " +
            "MERGE (d)-[r:疾病相关传染途径]->(rt) RETURN r")
    Disease_InfectionRoute DiseasetoInfectionRoute(@Param("disease") String disease, @Param("route") String route, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (c:治疗周期{name:{cycle}}) " +
            "MERGE (d)-[r:疾病相关治疗周期]->(c) RETURN r")
    Disease_TreatmentCycle DiseasetoTreatmentCycle(@Param("disease") String disease, @Param("cycle") String cycle, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (s:治愈率{name:{rate}}) " +
            "MERGE (d)-[r:疾病相关治愈率]->(s) RETURN r")
    Disease_CureRate DiseasetoCureRate(@Param("disease") String disease, @Param("rate") String rate, @Param("rel") String relation);

    @Query("MATCH (d:疾病{name:{disease}}), (a:年龄{name:{age}}) " +
            "MERGE (d)-[r:疾病相关年龄]->(a) RETURN r")
    Disease_Age DiseasetoAge(@Param("disease") String disease, @Param("age") String age, @Param("rel") String relation);

    @Query("MATCH (s:症状{name:{symptom}}), (a:症状别名{name:{alias}}) " +
            "MERGE (s)-[r:症状相关别名]->(a) RETURN r")
    Symptom_SymptomAlias SymptomtoSymptomAlias(@Param("symptom") String symptom, @Param("alias") String alias, @Param("rel") String relation);

    @Query("match (n:症状)<-[r]-(d:疾病)-[q]->(w:科室) where n.name in [{symp}] " +
            "RETURN distinct(w.name) as name, count(*) as cnt order by cnt desc")
    List<Map<String, Object>> getS_D_WRelation(@Param("symp") String symp);


    @Query("match (:症状{name:{symp1}})<-[r]-(dis:疾病) " +
           " match (dis:疾病)-[r1]->(:症状{name:{symp2}}) " +
            "match (dis)-[q:疾病相关标准科室]->(ward:科室) " +
            "match (dis)-[p:发病情况]-(sit:发病率) " +
            "return dis,q,ward,sit.name as sit ORDER BY sit.name DESC")
    List<Map<String, Object>> getS2_D_WRelation(@Param("symp1") String symp1, @Param("symp2") String symp2);


    @Query("match (:症状{name:{symp1}})<-[r]-(dis1:疾病) " +
            " match (dis1:疾病)-[r1]->(:症状{name:{symp2}}) " +
            " with dis1.name as names " +
            " match (dis:疾病)-[r2]->(:症状{name:{symp3}}) " +
            " match (dis)-[q:疾病相关科室]->(ward:科室) " +
            " match (dis)-[p:发病情况]-(sit:发病率) " +
            " where dis.name in names " +
            " return dis,q,ward ORDER BY sit.name DESC")
    List<Map<String, Object>> getS3_D_WRelation(@Param("symp1") String symp1, @Param("symp2") String symp2, @Param("symp3") String symp3);


    @Query("match (n:科室{name:{ward}})<-[r:疾病相关标准科室]-(d:疾病)-[r1:疾病相关症状]-(s:症状) " +
           "return s.name as name, count(s) as cnt order by cnt desc")
    List<Map<String, Object>> getRelatedSympbyward(@Param("ward") String ward);



    @Query("match (rate:发病率)<-[r:发病情况]-(dis:疾病)-[q:疾病相关科室]->(w:科室) " +
           " where w.name in {wards} return w.name as name, dis.name as dis, rate.name, q.rank " +
           " ORDER BY rate.name DESC, q.rank ASC")
    List<Map<String, Object>> getRelatedDiseasebyward(@Param("wards") List<String> wards);
    *

}
*/

