package com.diagbot.repository;

import com.diagbot.entity.node.ClinicalFinding;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface ClinicalFindingRepository extends Neo4jRepository<ClinicalFinding, Long> {

    List<ClinicalFinding> findByNameIs(String name);

    List<ClinicalFinding> findByNameIn(List<String> names);

    List<ClinicalFinding> findByNameContaining(String name);

}

