package com.diagbot.repository;

import com.diagbot.entity.node.LisFirstClass;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;


public interface LisFirstClassRepository extends Neo4jRepository<LisFirstClass, Long> {

    List<LisFirstClass> findByNameIs(String name);

    List<LisFirstClass> findByNameContaining(String name);

    List<LisFirstClass> findByNameIn(List<String> names);

    Page<LisFirstClass> findByNameContainingIgnoreCaseOrPycodeContainingIgnoreCase(String name, String pycode, Pageable pageable);

}

