package com.diagbot.repository;

import com.diagbot.entity.node.LisRemind;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface LisRemindRepository extends Neo4jRepository<LisRemind, Long> {

    List<LisRemind> findByNameIs(String name);

    List<LisRemind> findByNameContaining(String name);

}

