package com.diagbot.repository;

import com.diagbot.entity.node.MedAllergen;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface MedAllergenRepository extends Neo4jRepository<MedAllergen, Long> {

    List<MedAllergen> findByNameIs(String name);

    List<MedAllergen> findByNameIn(List<String> names);

    List<MedAllergen> findByNameContaining(String name);

}

