package com.diagbot.repository;

import com.diagbot.entity.node.MedRegName;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface MedRegNameRepository extends Neo4jRepository<MedRegName, Long> {

    List<MedRegName> findByNameIs(String name);

    List<MedRegName> findByNameContaining(String name);
}

