package com.diagbot.repository;

import com.diagbot.entity.node.MedCode;
import com.diagbot.entity.node.MedCodeName;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.Neo4jRepository;

import java.util.List;


public interface MedicineCodeRepository extends Neo4jRepository<MedCodeName, Long> {

    List<MedCodeName> findByNameIs(String name);

    List<MedCodeName> findByNameContaining(String name);
}

